Last Comment Bug 520284 - Search should use the method for participating adding a timerManager timer implemented in bug 471219
: Search should use the method for participating adding a timerManager timer im...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Search (show other bugs)
: Trunk
: All All
-- normal (vote)
: Firefox 3.7a1
Assigned To: Ryan Flint [:rflint] (ping via IRC for reviews)
:
: Florian Quèze [:florian] [:flo] (PTO until February 27)
Mentors:
Depends on: 471219
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-02 15:05 PDT by Robert Strong [:rstrong] (use needinfo to contact me)
Modified: 2010-01-07 20:37 PST (History)
1 user (show)
rflint: in‑testsuite-
rflint: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (10.12 KB, patch)
2009-10-03 01:10 PDT, Ryan Flint [:rflint] (ping via IRC for reviews)
robert.strong.bugs: review+
Details | Diff | Splinter Review

Description User image Robert Strong [:rstrong] (use needinfo to contact me) 2009-10-02 15:05:03 PDT
See Bug 471219 for details
Comment 1 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2009-10-03 01:10:59 PDT
Created attachment 404406 [details] [diff] [review]
Patch
Comment 2 User image Reed Loden [:reed] (use needinfo?) 2009-11-15 11:14:22 PST
Comment on attachment 404406 [details] [diff] [review]
Patch

>+      var expirTime = engineMetadataService.getAttr(engine, "updateexpir");
>+      LOG("expirTime: " + expirTime + "\nupdateURL: " + engine._updateURL +
>+          "\niconUpdateURL: " + engine._iconUpdateURL);
>+
>+      var engineExpired = expirTime <= currentTime;
>+
>+      if (!expirTime || !engineExpired) {

I know you're just moving this code around, but could you please fix the gross misspelling of "expire"? Thanks. :)
Comment 3 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2009-11-15 11:35:15 PST
(In reply to comment #2)
> I know you're just moving this code around, but could you please fix the gross
> misspelling of "expire"? Thanks. :)

It's more likely a truncated version of "expir(ation|y)" and is in line with the name of the metadata we store. I'll pass! :)
Comment 4 User image Robert Strong [:rstrong] (use needinfo to contact me) 2010-01-07 13:57:27 PST
Comment on attachment 404406 [details] [diff] [review]
Patch

Looks good and thank!
Comment 5 User image Robert Strong [:rstrong] (use needinfo to contact me) 2010-01-07 19:10:20 PST
btw: the patch didn't apply cleanly but I did manually apply the rejected parts and verified all worked as expected.
Comment 6 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2010-01-07 20:37:18 PST
http://hg.mozilla.org/mozilla-central/rev/0c8d99d73f09

(In reply to comment #5)
> btw: the patch didn't apply cleanly but I did manually apply the rejected parts
> and verified all worked as expected.

Oops, sorry - didn't think this had fallen victim to bitrot. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.